Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Fedora Local Security Checks >> Fedora Core 3 2005-157: postgresql


Vulnerability Assessment Details

Fedora Core 3 2005-157: postgresql

Vulnerability Assessment Summary
Check for the version of the postgresql package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory FEDORA-2005-157 (postgresql).

PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions).


* Mon Feb 21 2005 Tom Lane 7.4.7-3.FC3.1

- Work around selinux < - Repair improper error message in init script when PGVERSION doesn't match.
- Arrange for auto update of version embedded in init script.
- Fix improper call of strerror_r, which leads to junk error messages in libpq.
- Patch additional buffer overruns in plpgsql (CVE-2005-0247)




Solution : Get the newest Fedora Updates
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Tenable Network Security

Cables, Connectors

NEW Samsung 860 QVO 1TB SATA III 2.5" Internal Solid State Drive MZ-76Q1T0B/AM
$129.99
NEW Samsung 860 QVO 1TB SATA III 2.5Dell Latitude E7250 12.5" 256GB Solid State Drive MTFDDAT256MAZ K0NTT ER*
$43.99
Dell Latitude E7250 12.59.5mm Universal Caddy SATA 2nd HDD SSD Hard Drive CD/DVD-ROM
$4.99
9.5mm Universal Caddy SATA 2nd HDD SSD Hard Drive CD/DVD-ROM pictureAsus Zenbook UX330U 13.3" 256GB Solid State Drive SSDSCKKW256H6 ER*
$68.99
Asus Zenbook UX330U 13.3


Discussions

No Discussions have been posted on this vulnerability.